Did you install the 2.2.1 plugin using Help > Install New Software or did you try to install 2.2 via the Servers wizard?

The servers wizard is no good and probably won’t pick up the current version (2.2.1) . If you tried the wizard you can try the same install trick as earlier, then do a Help > Check for updates, alternatively try the same procedure as for 3.0.

 

You also might have been hit by this problem: https://issues.apache.org/jira/browse/GERONIMO-5635

If this is the case fix it using the workaround found in the issue description.

 

From: Ryan Zoerner [mailto:ryanzoerner@gmail.com]
Sent: 9. juni 2011 16:48
To: user@geronimo.apache.org
Subject: Re: Geronimo 2.2.1

 

I tried deleting both servers 3.0 and 2.2 and putting a new server (2.2) in the servers view on eclipse. I restarted the server, but still the same error.
 
Is there anything else that I might try? Is this a problem common to all users of the software?
 
Thanks,
 
Ryan